/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;

import java.util.Collection;

import org.w3c.dom.Node;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public interface ArtifactDescription {

    /**
     * @return the currentUI
     */
    public Node getCurrentUI();

    /**
      @param currentUI the currentUI to set
     */
    public void setCurrentUI(Node currentUI);

    /**
      @param currentOut the currentOut to set
     */
    public void setCurrentOut(Node currentOut);

    /**
     * @return the reachableStates
     */
    public Collection<String> getReachableStates();
    /**
      @param reachableStates the reachableStates to set
     */
    public void setReachableStates(Collection<String> reachableStates);

    /**
     * @return the currentState
     */
    public String getCurrentState();

    /**
      @param currentState the currentState to set
     */
    public void setCurrentState(String currentState);
    
    /**
     * @return the reachableStates
     */
    public Collection<String> getInputParameter();
    
    public void setInputParameter(Collection<String> inputParameter);

}